import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;

public class ConnectionTest {

	public static void main(String[] args) {
		try{
			//JDBCドライバークラスを指定する
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定する
			String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

			//ユーザー名を指定する
			String username = "root";

			//パスワードを指定する
			String password = "";

			//指定したドライバークラスを読み込む
			Class.forName(drivername);

			//データベースに接続する
			Connection con = DriverManager.getConnection(url, username, password);

			//追加する情報を入力する
			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			System.out.println("登録するカテゴリー情報を入力してください。");
			System.out.print("カテゴリー名：");
			String categoryname = br.readLine();

			//入力した情報をもとにSQL文を作成する
			String sql = "INSERT INTO Category(CategoryName) VALUES('" + categoryname + "')";

			//Statementオブジェクトを取得する
			Statement st = con.createStatement();

			//SQL文を実行する
			st.executeUpdate(sql);

			//結果を表示する
			System.out.println("登録しました。");

			//データベースを切断する
			con.close();
		}catch(Exception e){
			//例外の状態を出力する
			e.printStackTrace();
		}
	}

}
